/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package rmiserver;

import java.net.MalformedURLException;
import java.rmi.Naming;
import java.rmi.RemoteException;
import java.rmi.registry.LocateRegistry;

/**
 *
 * @author edgard
 */
public class RMIServer {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        String HOST = "rmi://localhost:1099/RmiCalcService";
        int PORT = 1099;
        try {
            System.out.println("RMI Service Initializing");
            System.out.println("Server Host: " + HOST + "\nPort Num: " + PORT);
            LocateRegistry.createRegistry(PORT);
            Naming.rebind(HOST, new CalculatorImpl()); 
            System.out.println("Server Started Successfully");
        } catch (MalformedURLException | RemoteException ex) {
            ex.printStackTrace();
            System.err.println("Can not stablish RMI Server");
        }
    }
}
